LibreOffice: XModel2 Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XModel2 Interface Reference
Inheritance diagram for XModel2:

## Exported Interfaces
interface | com::sun::star::xforms::XModel
interface | com::sun::star::beans::XPropertySet

## Additional Inherited Members
Public Member Functions inherited from XModel
string | getID ()
| get the XForms model ID
void | setID ([in] string id)
| set the XForms model ID
void | initialize ()
| initialize the model
void | rebuild ()
| rebuild the model
void | recalculate ()
| re-evaluate all calculate attributes
void | revalidate ()
| re-evaluate all validity attributes
void | refresh ()
| refresh the model
void | submit ([in] string id) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| submit form through given submission id
void | submitWithInteraction ([in] string id, [in] com::sun::star::task::XInteractionHandler aHandler) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| submit form through given submission id
XDataTypeRepository | getDataTypeRepository ()
| provides management access to the XSD data types associated with the model
com::sun::star::container::XSet | getInstances ()
| gets container containing all instances;
com::sun::star::xml::dom::XDocument | getInstanceDocument ([in] string id)
| retrieves the instance with the given id
com::sun::star::xml::dom::XDocument | getDefaultInstance ()
| get the default instance for this model
com::sun::star::beans::XPropertySet | createBinding ()
| create a binding element for this model
com::sun::star::beans::XPropertySet | cloneBinding ([in] com::sun::star::beans::XPropertySet binding)
| clone an arbitrary binding element for this model; still needs
com::sun::star::beans::XPropertySet | getBinding ([in] string id)
| get a binding with a certain ID
com::sun::star::container::XSet | getBindings ()
| get a container containing all bindings; also supports XNameAccess
XSubmission | createSubmission ()
| create a submission element for this model
XSubmission | cloneSubmission ([in] com::sun::star::beans::XPropertySet submission)
| clone an arbitrary submission element for this model
XSubmission | getSubmission ([in] string id)
| get a submission with a certain ID.
com::sun::star::container::XSet | getSubmissions ()
| get container containing all submissions; also supports XNameAccess
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::xforms::XModel

interface com::sun::star::xforms::XModel

The documentation for this interface was generated from the following file:

- com/sun/star/xforms/XModel2.idl